%define rel   1

Name: kiten
Summary: A Japanese reference/learning tool
Version: 4.8.2
Release: %mkrel %{rel}
Group: Education
License: GPLv2 and LGPLv2 and GFDL
URL: http://edu.kde.org/kiten
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
Suggests: kiten-handbook
Requires: fonts-ttf-kanjistrokeorders

#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

%description
Kiten is a Japanese reference/learning tool.

Kiten features:
* Search with english keyword, Japanese reading, or a Kanji string on a
  list of EDICT files.
* Search with english keyword, Japanese reading, number of strokes, grade
  number, or a Kanji on a list of KANJIDIC files.
* Comes with all necessary files.
* Very fast.
* Limit searches to only common entries.
* Nested searches of results possible.
* Compact, small, fast interface.
* Global KDE keybindings for searching highlighted strings.
* Learning dialog. (One can even open up multiple ones and have them sync
  between each other.)
* Browse Kanji by grade.
* Add Kanji to a list for later learning.
* Browse list, and get quizzed on them.

%files
%_kde_bindir/kiten
%_kde_bindir/kitengen
%_kde_bindir/kitenradselect
%_kde_bindir/kitenkanjibrowser
%_kde_appsdir/kitenkanjibrowser/kanjibrowserui.rc
%_kde_appsdir/kiten
%_kde_appsdir/kitenradselect
%_kde_datadir/applications/kde4/kiten.desktop
%_kde_datadir/config.kcfg/kiten.kcfg
%_kde_iconsdir/*/*/apps/kiten.*

#------------------------------------------------------------------------------

%package handbook
Summary: Kiten handbook
Conflicts: kiten < 4.7.1
BuildArch: noarch
Group: Books/Other
%description handbook
This package provides kiten handbook.

%files handbook
%doc  COPYING COPYING.DOC COPYING.LIB AUTHORS README
%doc %_kde_docdir/HTML/en/kiten

#------------------------------------------------------------------------------
%package -n fonts-ttf-kanjistrokeorders
Summary: Kanji Stroke Orders Fonts
Group:   System/Fonts/True type
License: BSD
BuildArch: noarch

%description -n fonts-ttf-kanjistrokeorders
This package provides the Kanji Stroke Orders.

%files -n fonts-ttf-kanjistrokeorders
%_datadir/fonts/kanjistrokeorders/KanjiStrokeOrders.ttf

#------------------------------------------------------------------------------

%define libkiten_major 4
%define libkiten %mklibname kiten %{libkiten_major}

%package -n %libkiten
Summary: Runtime library for Kiten
Group: System/Libraries

%description -n %libkiten
libkiten is a library for managing a variety of japanese cross-language
dictionaries through a common interface. It provides a light abstraction layer
over various types of japanese dictionaries, with a simple facility for adding
more types.

%files -n %libkiten
%_kde_libdir/libkiten.so.%{libkiten_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libkiten = %version-%release
Conflicts: kdeedu4-devel < 4.6.90

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_kde_libdir/libkiten.so
%_kde_includedir/libkiten/

#------------------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON	
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228417
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221485
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198251
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191057
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186075
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182124
- Update tarball to KDE SC 4.7.90
- fix files list (add fonts-ttf-kanjistrokeorders subpackage)

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176456
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161352
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151963
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-0.mga2
+ Revision: 140654
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- remove %%defattr
- fix license

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122455
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 fwang <fwang> 4.6.90-1.mga2
+ Revision: 115550
- add conflits on older package for upgrading

  + mikala <mikala>
    - imported package kiten

